/*
Ruler Digital Agency 
https://www.ruler.agency
Copyright 2023, RULER SMPC. All rights reserved.
Version: 1.0
*/

/* Header/Hero */
/* #header {
	top: 50px;
}
#header-wrapper {
	padding-left: calc(1.5rem + 50px);
	padding-right: calc(1.5rem + 50px);
}
#home-hero {
	padding: calc(1.5rem + 25px);
} */

/* Header */
#header-wrapper {
	padding-top: 25px;
	padding-bottom: 25px;
	padding-left: 35px;
	padding-right: 35px;
}
body.overflow-hidden div#home #header #mobile-menu span.menu-line,
body.overflow-hidden div#home #header img.custom-logo,
body.overflow-hidden div#home #header a.contact_header.button {
	transition: all 0.3s linear;
	-webkit-transition: all 0.3s linear;
	-moz-transition: all 0.3s linear;
	-ms-transition: all 0.3s linear;
	-o-transition: all 0.3s linear;
}
body:not(.overflow-hidden) div#home #header #mobile-menu span.menu-line {
	background-color: #fff;
	transition: all 0.3s linear;
	-webkit-transition: all 0.3s linear;
	-moz-transition: all 0.3s linear;
	-ms-transition: all 0.3s linear;
	-o-transition: all 0.3s linear;
}
body:not(.overflow-hidden) div#home #header img.custom-logo {
	filter: brightness(0) invert(1);
	transition: all 0.3s linear;
	-webkit-transition: all 0.3s linear;
	-moz-transition: all 0.3s linear;
	-ms-transition: all 0.3s linear;
	-o-transition: all 0.3s linear;
}
body:not(.overflow-hidden) div#home #header a.contact_header.button {
	color: #5b5c5c;
	background-color: #fff;
	transition: all 0.3s linear;
	-webkit-transition: all 0.3s linear;
	-moz-transition: all 0.3s linear;
	-ms-transition: all 0.3s linear;
	-o-transition: all 0.3s linear;
}
div#home-hero-moto h1 {
	font-size: 1.5vw;
	line-height: 1.1;
	letter-spacing: 12px;
/* 	text-shadow: 1px 1px 15px rgba(0, 0, 0, .5); */
}
div#home-hero-moto h1 strong {
	font-size: 5vw;
	font-weight: 100;
	letter-spacing: 0;
}
section#home-hero.moto-with-gallery .hero-carousel-file img,
section#home-hero.moto-with-gallery .hero-carousel-file video {
	opacity: .6;
}

/* Modal */
#mobile-menu-modal::before {
	background-color: rgba(255, 255, 255, .9);
}

/* Hero */
div#scroll-drown {
	left: 50%;
	bottom: 20px;
	transform: translateX(-50%);
	-webkit-transform: translateX(-50%);
	-moz-transform: translateX(-50%);
	-ms-transform: translateX(-50%);
	-o-transform: translateX(-50%);
	z-index: 11;
}
div#scroll-drown a {
	color: #fff;
	text-decoration: underline;
}

/* Masonry Home Grid */
#masonry-grid-title {
	margin: 0 25px 50px 25px;
}
.masonry-grid-columns-3 .grid-item {
	width: calc(33.33333% - 50px);
}
.masonry-grid-columns-4 .grid-item {
	width: calc(25% - 50px);
}
.masonry-grid-columns-5 .grid-item {
	width: calc(20% - 50px);
}
.project-item-wrapper .project-content-wrapper,
.projects-carousel-swiper .swiper-slide .project-content-wrapper,
.masonry-grid-details {
	left: 0;
	bottom: 0;
	opacity: 1;
	border-top: 5px solid;
	backdrop-filter: blur(7px);
	background-color: rgba(255, 255, 255, .75);
	/* transform: translateY(-100%); */
	/* -webkit-transform: translateY(90%);
	-moz-transform: translateY(90%);
	-ms-transform: translateY(90%);
	-o-transform: translateY(90%); */
}
/* .project-item-wrapper:hover .project-content-wrapper,
.projects-carousel-swiper .swiper-slide:hover .project-content-wrapper {
	opacity: 1;
	transform: translateY(0%);
	-webkit-transform: translateY(0%);
	-moz-transform: translateY(0%);
	-ms-transform: translateY(0%);
	-o-transform: translateY(0%);
} */
.project-item-wrapper.available .project-content-wrapper,
.projects-carousel-swiper .swiper-slide.available .project-content-wrapper,
.project-content-wrapper.available {
	border-color: green;
}
.project-item-wrapper.completed .project-content-wrapper,
.projects-carousel-swiper .swiper-slide.completed .project-content-wrapper,
.project-content-wrapper.completed {
	border-color: #35e;
}
.project-item-wrapper.under-construction .project-content-wrapper,
.projects-carousel-swiper .swiper-slide.under-construction .project-content-wrapper,
.project-content-wrapper.under-construction {
	border-color: gray;
}
.project-item-wrapper.coming-soon .project-content-wrapper,
.projects-carousel-swiper .swiper-slide.coming-soon .project-content-wrapper,
.project-content-wrapper.coming-soon {
	border-color: orange;
}
.project-item-wrapper.sold .project-content-wrapper,
.projects-carousel-swiper .swiper-slide.sold .project-content-wrapper,
.project-content-wrapper.sold {
	border-color: red;
}
.project-item-wrapper .project-content-wrapper,
.projects-carousel-swiper .swiper-slide .project-content-wrapper,
.project-content-wrapper {
	border: none;
}
.grid_item_img_wrapper,
.project-img-wrapper {
	height: 600px;
}
.project-item-wrapper .project-img-wrapper img,
.projects-carousel-swiper .swiper-slide .project-img-wrapper img {
	transform: scale(1);
	-webkit-transform: scale(1);
	-moz-transform: scale(1);
	-ms-transform: scale(1);
	-o-transform: scale(1);
}
.project-item-wrapper:hover .project-img-wrapper img,
.projects-carousel-swiper .swiper-slide:hover .project-img-wrapper img {
	transform: scale(1.05);
	-webkit-transform: scale(1.05);
	-moz-transform: scale(1.05);
	-ms-transform: scale(1.05);
	-o-transform: scale(1.05);
}
a.link svg,
.project-content-wrapper a svg,
body div.wpforms-container-full .wpforms-form .form_btn_svg {
	width: 11.5px;
	margin-right: 5px;
	transform: rotate(180deg);
	-webkit-transform: rotate(180deg);
	-moz-transform: rotate(180deg);
	-ms-transform: rotate(180deg);
	-o-transform: rotate(180deg);
}
.project-content-wrapper .project-status {
	right: 1.5rem;
	top: 2rem;
}
a.link svg,
body div.wpforms-container-full .wpforms-form .form_btn_svg {
	width: 17px;
	fill: #5b5c5c;
	background-color: transparent;
}
.main_sticky_details a.link svg,
.sticky_post_details a.link svg,
.non_sticky_post_link a.link svg {
	margin: 0;
	width: 40px;
	height: 40px;
	padding: 0px;
	border-radius: 0;
}

/* Archive - Grid Layout */
.grid-details .non_sticky_post_link {
	right: unset;
	left: 0;
}
.grid_item_wrapper h2.sub-heading {
	padding-left: 55px;
}

/* Let's Talk */
div.in_touch a > div {
    margin-right: 20px;
}
.in_touch a svg,
body div.wpforms-container-full .wpforms-form .form_btn_svg {
	height: 47.5px;
	padding: 0;
	border-radius: 0;
	margin-right: 10px;
	transform: rotate(180deg);
	-webkit-transform: rotate(180deg);
	-moz-transform: rotate(180deg);
	-ms-transform: rotate(180deg);
	-o-transform: rotate(180deg);
}
body div.wpforms-container-full .wpforms-form .form_btn_svg {
	width: 40px;
	height: auto;
}

/* About Page */
section#full-image-about-section div.swiper-slide div.fit-img {
	max-height: 85vh;
}
.timeline-swiper .swiper-wrapper {
	transition-timing-function: linear !important;
}

/* About Timeline */
/* About Timeline */
#timeline_section .timeline-swiper-wrapper::before {
	content: " ";
	width: 100vw;
	height: 1px;
	position: absolute;
	left: 50%;
	top: 50%;
	background-color: #5b5c5c;
	z-index: -1;
	transform: translateX(-50%);
	-webkit-transform: translateX(-50%);
	-moz-transform: translateX(-50%);
	-ms-transform: translateX(-50%);
	-o-transform: translateX(-50%);
}
.timeline-content-wrapper::before {
	content: " ";
	width: 15px;
	height: 15px;
	position: absolute;
	left: 50%;
	top: 50%;
	border-radius: 50%;
	background-color: #5b5c5c;
	transform: translate(-50%, -50%);
	-webkit-transform: translate(-50%, -50%);
	-moz-transform: translate(-50%, -50%);
	-ms-transform: translate(-50%, -50%);
	-o-transform: translate(-50%, -50%);
}
.timeline-swiper .swiper-slide {
	height: auto;
	display: flex;
}
.timeline-content-wrapper .timeline-content-img {
	width: 250px;
	height: 300px;
	opacity: 1;
	left: 50%;
	transform: translateX(-50%);
	-webkit-transform: translateX(-50%);
	-moz-transform: translateX(-50%);
	-ms-transform: translateX(-50%);
	-o-transform: translateX(-50%);
}
.timeline-content-wrapper:hover .timeline-content-img {
	opacity: 1;
}
.timeline-content-wrapper .timeline-content-img img {
	margin-top: -15px;
}
.swiper-slide .timeline-content-wrapper {
	width: 100%;
	height: 100%;
	padding-top: 300px;
	padding-bottom: 300px;
}
.timeline-content-wrapper h3.small {
	height: 50%;
	display: flex;
	align-items: flex-end;
	justify-content: center;
	padding-bottom: 25px;
	margin-bottom: 0 !important;
}
.timeline-content-wrapper p.big-text {
	height: 50%;
	display: flex;
	align-items: flex-start;
	justify-content: center;
	padding-top: 25px;
	margin-bottom: 0;
}
.swiper-slide:nth-child(even) .timeline-content-img {
	bottom: 0;
}
.swiper-slide:nth-child(odd) .timeline-content-img {
	top: 0;
}
.swiper-slide:nth-child(odd) .timeline-content-wrapper p {
	order: -1;
	align-items: flex-end;
	padding-top: 0;
	padding-bottom: 25px;
}
.swiper-slide:nth-child(odd) .timeline-content-wrapper h3.small {
	align-items: flex-start;
	padding-bottom: 0;
	padding-top: 25px;
}

/* Masonry Archive */
.masonry-grid-details p {
	display: flex;
	width: 100%;
}
.masonry-grid-details p strong {
	display: inline-flex;
	margin-left: auto;
}

/* Archive Navigation */
.page-numbers svg {
	width: 30px;
	height: 30px;
	padding: 0;
	margin-left: 0;
}

/* Override Hero Background */
section#home-hero.moto-with-gallery .swiper-slide {
	background-color: #000;
}

/* Home Page - New Project Section 
#home-new-project #new-project-infos {
	max-width: 35%;
	top: 0;
	left: 2.9411764705882rem;
	padding-top: 2.9411764705882rem;
	padding-bottom: 2.9411764705882rem;
	border-left: 5px solid green;
	backdrop-filter: blur(7px);
	background-color: rgba(255, 255, 255, .75);
}
#home-new-project #new-project-infos {
	padding-top: 2.9411764705882rem;
}
*/

/*
/ Requested Change
#home-new-project #new-project-img {
	max-height: 700px;
}
*/

#new-project-wrapper .overlay{
	content: '';
	width: 100%;
	height: 100%;
	top: 0;
	left: 0;
	position: absolute;
	background: linear-gradient(90deg,rgba(255, 255, 255, 1) 0%, rgba(255, 255, 255, 0) 98%);
}

#new-project-infos{
	left: 3%;
}

/* Main Content */
#main-content .container-fluid {
	max-width: 90vw;
}
body.page-template-template-availability #main-content .container-fluid {
	max-width: calc(90vw + 50px);
}
body.page-template-template-about #main-content .heading_title,
body.page-template-template-contact #main-content .col-12.px-0 div {
    padding-left: 20px;
    padding-right: 20px;
}


/* Projects */
.h2, h2, .page-template-template-availability .masonry-grid-details h3.sub-heading {
	font-size: 1.85rem;
}
.grid-item {
	width: calc(33.333% - 50px);
	margin: 0 25px 50px 25px;
}

/* Contact Page */
div#wpforms-533 {
	margin-top: -10px;
}

#units_section .unit-details {
	padding-top: 0;
}
#units_section .unit-wrap {
	position: relative;
	max-width: 100%;
	width: 100%;
	padding: 0;
	top: 0;
	z-index: 2;
}
.page-template-template-about #team-section h2 {
    font-size: 2.35rem;
	line-height: normal;
}
body.single-projects .single_article_img {
    height: 85vh;
}

/* About Adjustments */
body.page-template-template-about #team-section .our-team h2,
body.page-template-template-about #team-section .team_member_name h2 {
	text-stroke: 1.5px #b5a7a7;
	-webkit-text-stroke: 1.5px #b5a7a7;
}

/* Project Adjustments */
body.single-projects #units_section .units-details-swiper {
	padding-top: 35px;
}
body.single-projects section#gallery_single_project {
	margin-left: -.5rem;
	margin-right: -.5rem;
}
body.single-projects .unit-swiper.swiper {
	max-width: 90%;
	padding-left: 40px;
	padding-right: 40px;
}
body.single-projects .gallery_item_wrapper .grid-item {
	height: 500px;
}

.project-fields-wrapper .small strong{
	font-size: .675rem;
}
.sub-heading.project-item-title {
	font-size: 1.35rem;
}
.single-projects .main-heading ,
.single-projects h1:not(.extra-big-heading),
.units-title .sub-heading{
	font-size: clamp(25px, 2.1vw, 40px);
}
.info_project.big-text {
	font-size: clamp(16px, 1.3vw, 25px);
}

.projects-carousel-swiper .swiper-slide {
	height: auto;
	display: flex;
}
.projects-carousel-swiper .swiper-slide .project-item-content-wrapper {
	width: 100%;
}
#footer .big-text {

	font-size: 1.2823529411765rem;
}
